aboutsummaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorSebastien Douheret <sebastien.douheret@iot.bzh>2017-05-18 16:46:27 +0200
committerSebastien Douheret <sebastien.douheret@iot.bzh>2017-05-18 16:46:27 +0200
commitec56178fa1a7b260afe3d818c6b14a432613ad44 (patch)
tree8cbf99bc98ae379a6061787a984dd5193605c63c /scripts
parent319c10853c1961621a0c1ae05ac95b20a0ce277e (diff)
Bump to Syncthing 0.14.28 et Syncthing-Inotify master.
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/get-syncthing.sh30
1 files changed, 7 insertions, 23 deletions
diff --git a/scripts/get-syncthing.sh b/scripts/get-syncthing.sh
index 6eb9c5b..54ca7e1 100755
--- a/scripts/get-syncthing.sh
+++ b/scripts/get-syncthing.sh
@@ -1,11 +1,11 @@
#!/bin/bash
# Configurable variables
-[ -z "$SYNCTHING_VERSION" ] && SYNCTHING_VERSION=0.14.25
+[ -z "$SYNCTHING_VERSION" ] && SYNCTHING_VERSION=0.14.28
# FIXME: temporary HACK while waiting merge of #165
#[ -z "$SYNCTHING_INOTIFY_VERSION" ] && SYNCTHING_INOTIFY_VERSION=0.8.5
-[ -z "$SYNCTHING_INOTIFY_VERSION" ] && SYNCTHING_INOTIFY_VERSION=master_and_patch165
+[ -z "$SYNCTHING_INOTIFY_VERSION" ] && { SYNCTHING_INOTIFY_VERSION=master; SYNCTHING_INOTIFY_CMID=af6fbf9d63f95a0; }
[ -z "$DESTDIR" ] && DESTDIR=/usr/local/bin
[ -z "$TMPDIR" ] && TMPDIR=/tmp
@@ -33,33 +33,17 @@ tarball="syncthing-linux-amd64-v${SYNCTHING_VERSION}.tar.gz" \
&& tar -xvf "$tarball" --strip-components=1 "$(basename "$tarball" .tar.gz)"/syncthing \
&& mv syncthing ${DESTDIR}/syncthing || exit 1
-
echo "Get Syncthing-inotify..."
-if [ "$SYNCTHING_INOTIFY_VERSION" = "master_and_patch165" ]; then
+if [ "$SYNCTHING_INOTIFY_VERSION" = "master" ]; then
mkdir -p ${TEMPDIR}/syncthing-inotify-build/src/github.com/syncthing || exit 1
cd ${TEMPDIR}/syncthing-inotify-build/src/github.com/syncthing
git clone https://github.com/syncthing/syncthing || exit 1
git clone https://github.com/syncthing/syncthing-inotify || exit 1
cd syncthing-inotify
- cat <<EOF > 165.patch
- diff --git a/syncwatcher.go b/syncwatcher.go
-index c36b034..5175c12 100644
---- a/syncwatcher.go
-+++ b/syncwatcher.go
-@@ -677,7 +677,10 @@ func accumulateChanges(debounceTimeout time.Duration,
- if flushTimerNeedsReset {
- flushTimerNeedsReset = false
- if !flushTimer.Stop() {
-- <-flushTimer.C
-+ select {
-+ case <-flushTimer.C:
-+ default:
-+ }
- }
- flushTimer.Reset(currInterval)
- }
-EOF
- git apply 165.patch || exit 1
+ if [ "$SYNCTHING_INOTIFY_CMID" != "" ]; then
+ git checkout -q $SYNCTHING_INOTIFY_CMID || exit 1
+ fi
+ git status
export GOPATH=$(realpath `pwd`/../../../..)
version=$(git describe --tags --always | sed 's/^v//')__patch_165
go build -v -i -ldflags "-w -X main.Version=$version" -o ${DESTDIR}/syncthing-inotify || exit 1